Register
Results 1 to 4 of 4

PSP Issue Help needed please.

Hello guys. I want to update my psp with the latest firmware ...

  1. #1
    Junior Member
    Join Date
    Mar 2009
    Posts
    41
    Thanks
    0
    Thanked 0 Times in 0 Posts
    Downloads
    7
    Uploads
    0

    Default PSP Issue Help needed please.

    Hello guys.

    I want to update my psp with the latest firmware 5.51 which i have downloaded on to my memory card but when i try to install it, it says "the game could not be started DADADADA". I bought the psp 2nd hand which you can switch between versions 3.03 and 1.51 using the recovery menu. Whichever I use, I get this message.
    How do I make the psp an unmodded psp or where is the place to get the latest firmware for hacked? And is this why im getting the error message?
    All I really want to do is update the psp firmware when a new one comes out.
    Thanks

  2. #2
    DK Veteran freck's Avatar
    Join Date
    Jul 2008
    Location
    Dark side of the Moon
    Posts
    1,105
    Thanks
    2
    Thanked 13 Times in 8 Posts
    Downloads
    179
    Uploads
    2

    Default

    All info here READ SECOND (rules 1st) Ultimate sticky sticky
    Give it a good read,one thing tho...are you booting the psp from the costum driver.press select on the psp or start,I'm a bit rusty now but youll get the option to run on costum firmware after upgrading or downgrading.

  3. #3
    Junior Member
    Join Date
    Mar 2009
    Posts
    41
    Thanks
    0
    Thanked 0 Times in 0 Posts
    Downloads
    7
    Uploads
    0

    Default

    im not sure what that is but all i do is switch it on from the switch on the side and run umd's as you would normally and "old iso's"(games) from the memory stick, but then new games started not to work. i hold down the R1 button before switching the psp on to get the recovery menu up.i have messed about with the settings a bit so i dont know wether the old iso games will work anymore. i have wiped the memory card and has nothing on it apart from the latest firmware, but it wont install.

  4. #4
    JTH
    JTH is offline
    Top Poster
    Join Date
    Mar 2008
    Posts
    143
    Thanks
    0
    Thanked 0 Times in 0 Posts
    Downloads
    54
    Uploads
    0

    Default

    u cant go straight to lasest from 3.03 m8
    u need go to 3.52 m33
    then 3.52m33-4 first
    WE ARE THEPEOPLE

 

 

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •